- Main Page
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# GDALMajorObject Class Reference

Object with metadata. More...

`#include <gdal_priv.h>`

Inheritance diagram for GDALMajorObject:

List of all members.

## Public Member Functions
int | GetMOFlags ()
void | SetMOFlags (int nFlags)
virtual const char * | GetDescription () const
virtual void | SetDescription (const char *)
virtual char ** | GetMetadata (const char *pszDomain="")
virtual CPLErr | SetMetadata (char **papszMetadata, const char *pszDomain="")
virtual const char * | GetMetadataItem (const char *pszName, const char *pszDomain="")
virtual CPLErr | SetMetadataItem (const char *pszName, const char *pszValue, const char *pszDomain="")
## Protected Attributes
int | nFlags
CPLString | sDescription
GDALMultiDomainMetadata | oMDMD

## Detailed Description

Object with metadata.

## Member Function Documentation

const char * GDALMajorObject::GetDescription | ( |  | ) | const`[virtual]`

| Fetch object description. The semantics of the returned description are specific to the derived type. For GDALDatasets it is the dataset name. For GDALRasterBands it is actually a description (if supported) or "". This method is the same as the C function GDALGetDescription(). Returns: pointer to internal description string.

char ** GDALMajorObject::GetMetadata | ( | const char * | pszDomain = `""` | ) | `[virtual]`

  | Fetch metadata. The returned string list is owned by the object, and may change at any time. It is formated as a "Name=value" list with the last pointer value being NULL. Use the the CPL StringList functions such as CSLFetchNameValue() to manipulate it. Note that relatively few formats return any metadata at this time. This method does the same thing as the C function GDALGetMetadata(). Parameters:
  | pszDomain | the domain of interest. Use "" or NULL for the default domain.
Returns: NULL or a string list.

const char * GDALMajorObject::GetMetadataItem | ( | const char * | pszName,
|  | const char * | pszDomain = `""`
| ) | `[virtual]`

  | Fetch single metadata item. The C function GDALGetMetadataItem() does the same thing as this method. Parameters:
  | pszName | the key for the metadata item to fetch.
  | pszDomain | the domain to fetch for, use NULL for the default domain.
Returns: NULL on failure to find the key, or a pointer to an internal copy of the value string on success.

void GDALMajorObject::SetDescription | ( | const char * | pszNewDesc | ) | `[virtual]`

| Set object description. The semantics of the description are specific to the derived type. For GDALDatasets it is the dataset name. For GDALRasterBands it is actually a description (if supported) or "". Normally application code should not set the "description" for GDALDatasets. It is handled internally. This method is the same as the C function GDALSetDescription().

CPLErr GDALMajorObject::SetMetadata | ( | char ** | papszMetadataIn,
|  | const char * | pszDomain = `""`
| ) | `[virtual]`

  | Set metadata. The C function GDALSetMetadata() does the same thing as this method. Parameters:
  | papszMetadata | the metadata in name=value string list format to apply.
  | pszDomain | the domain of interest. Use "" or NULL for the default domain.
Returns: CE_None on success, CE_Failure on failure and CE_Warning if the metadata has been accepted, but is likely not maintained persistently by the underlying object between sessions.

CPLErr GDALMajorObject::SetMetadataItem | ( | const char * | pszName,
|  | const char * | pszValue,
|  | const char * | pszDomain = `""`
| ) | `[virtual]`

  | Set single metadata item. The C function GDALSetMetadataItem() does the same thing as this method. Parameters:
  | pszName | the key for the metadata item to fetch.
  | pszValue | the value to assign to the key.
  | pszDomain | the domain to set within, use NULL for the default domain.
Returns: CE_None on success, or an error code on failure.

The documentation for this class was generated from the following files:

- gdal_priv.h
- gdalmajorobject.cpp

Generated for GDAL by 1.4.5.